package com.ruoyi.ibs.grid.util;

import org.springframework.http.MediaType;
import org.springframework.http.converter.json.MappingJackson2HttpMessageConverter;

import java.util.ArrayList;
import java.util.List;

public class JavaScriptMessageConverter extends MappingJackson2HttpMessageConverter {
    public JavaScriptMessageConverter() {
        List<MediaType> mediaTypes = new ArrayList<>();
        mediaTypes.add(MediaType.valueOf("text/javascript;charset=utf-8"));
        setSupportedMediaTypes(mediaTypes);
    }
}
